oracle.jdbc

## Enum OracleConnection.CommitOption

- java.lang.Object
- - java.lang.Enum<OracleConnection.CommitOption>
  - - oracle.jdbc.OracleConnection.CommitOption

All Implemented Interfaces:
  Serializable, Comparable<OracleConnection.CommitOption>

Enclosing interface:
  OracleConnection

    public static enum OracleConnection.CommitOption
    extends Enum<OracleConnection.CommitOption>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NOWAIT` "No wait" commit option.
`WAIT` "Wait" commit option.
`WRITEBATCH` "Batch logging" commit option.
`WRITEIMMED` "Batch logging" commit option.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()` Implementation detail (for internal use only).
`static OracleConnection.CommitOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OracleConnection.CommitOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WRITEBATCH

    public static final OracleConnection.CommitOption WRITEBATCH

"Batch logging" commit option.

No I/O is issued by LGWR ((Log Writer Process) to write the in-memory redo buffers of the transaction to the online redo logs. BATCH means that the LGWR batches the redo buffers before initiating I/O for the entire batch.

By default (if you don't use this option), the redo buffers of the transaction are written out immediately.

#### WRITEIMMED

    public static final OracleConnection.CommitOption WRITEIMMED

"Batch logging" commit option.

Force the default: the redo buffers of the transaction are written out immediately.

#### WAIT

    public static final OracleConnection.CommitOption WAIT

"Wait" commit option. Use this option to force the default: the commit does not return until the in-memory redo buffers corresponding to the transaction are written in the (persistent) online redo logs.

#### NOWAIT

    public static final OracleConnection.CommitOption NOWAIT

"No wait" commit option.

LGWR is requested to write the redo for the commit to the online redo logs, but the commit returns without waiting for the buffers to be written to the online redo logs. NOWAIT means that the commit returns to the user before the in-memory redo buffers are flushed to the online redo logs.

By default (if you don't use this option), the commit does not return until the in-memory redo buffers corresponding to the transaction are written in the (persistent) online redo logs.

### Method Detail

#### values

    public static OracleConnection.CommitOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OracleConnection.CommitOption c : OracleConnection.CommitOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OracleConnection.CommitOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public final int getCode()

Implementation detail (for internal use only).

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.